Bug 268306 - NegativeArraySizeException at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerSettingsBridge.noteSignalList
NegativeArraySizeException at org.netbeans.modules.cnd.debugger.gdb2.GdbDebug...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Maria Tishkova
issues@cnd
EXCEPTIONS_REPORT, 82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-01 13:01 UTC by Exceptions Reporter
Modified: 2016-12-14 11:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.10 KB, text/plain)
2016-10-01 13:01 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2016-10-01 13:01:29 UTC
This bug was originally marked as duplicate of bug 255589, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE 8.2 RC (Build 201609140952)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.60-b23, Java(TM) SE Runtime Environment, 1.8.0_60-b27
OS: Mac OS X

User Comments:
GUEST: use lldb-mi

GUEST: use lldb-mi




Stacktrace: 
java.lang.NegativeArraySizeException
   at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerSettingsBridge.noteSignalList(GdbDebuggerSettingsBridge.java:183)
   at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl$18.onDone(GdbDebuggerImpl.java:2045)
   at org.netbeans.modules.cnd.debugger.gdb2.mi.MICommandManager.dispatch(MICommandManager.java:194)
   at org.netbeans.modules.cnd.debugger.gdb2.mi.MIProxy.dispatch(MIProxy.java:188)
   at org.netbeans.modules.cnd.debugger.gdb2.Gdb$MyMIProxy.dispatch(Gdb.java:697)
   at org.netbeans.modules.cnd.debugger.gdb2.mi.MIProxy.result(MIProxy.java:193)
Comment 1 Exceptions Reporter 2016-10-01 13:01:32 UTC
Created attachment 162303 [details]
stacktrace
Comment 2 Maria Tishkova 2016-12-08 09:20:03 UTC
fixed on enum:
changeset:   313802:4673092ef170
branch:      release82
tag:         tip
user:        Maria Dalmatova <mromashova@netbeans.org>
date:        Thu Dec 08 12:19:18 2016 +0300
summary:     fixed bz#268306 - NegativeArraySizeException at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerSettingsBridge.noteSignalLis
Comment 3 Quality Engineering 2016-12-10 02:59:33 UTC
Integrated into 'main-silver', will be available in build *201612100001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ef8c7c42f3f6
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#268306 - NegativeArraySizeException at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerSettingsBridge.noteSignalLis
(transplanted from 4673092ef17034b0bb24ac84b7d92f117db2be13)
Comment 4 soldatov 2016-12-14 11:38:44 UTC
Verified in NetBeans IDE 8.2 (Build 201612122312)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo